| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Num::AnalysisBase Class Reference

Base class for direct analysis classes that define optimization problems. Represent the complete definition of the optimization problem (without initial parameters). Concrete analysis classes (e.g. representing optimization examples or complex direct problems solved through numerical simulation) should be derived from this class. More...

Inheritance diagram for IG::Num::AnalysisBase:
[legend]
Collaboration diagram for IG::Num::AnalysisBase:
[legend]

List of all members.

## Public Member Functions
abstract void | Analyse (IAnalysisResults analysisData)
| Performs analysis - calculates requested results and writes them to the provided data structure.
## Protected Attributes
int | _numParameters = -1
int | _numObjectives = -1
int | _numConstraints = -1
int | _numEqualityConstraints = -1
## Properties
object | Lock`[get]`
virtual int | NumParameters`[get, set]`
| Number of parameters.
virtual int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0).
virtual int | NumConstraints`[get, set]`
| Number of constraints.
virtual int | NumEqualityConstraints`[get, set]`
| Number of equality constraints.
## Private Attributes
object | _lock = new object()

## Detailed Description

Base class for direct analysis classes that define optimization problems. Represent the complete definition of the optimization problem (without initial parameters). Concrete analysis classes (e.g. representing optimization examples or complex direct problems solved through numerical simulation) should be derived from this class.

$A Igor May08 Jun10;

## Member Function Documentation

abstract void IG::Num::AnalysisBase::Analyse | ( | IAnalysisResults | analysisData | ) | `[pure virtual]`

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters:

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implements IG::Num::IAnalysis.

Implemented in IG::Lib::LoadableScriptOptBase::AnalysisScript.

## Member Data Documentation

object IG::Num::AnalysisBase::_lock = new object()`[private]`

int IG::Num::AnalysisBase::_numParameters = -1`[protected]`

int IG::Num::AnalysisBase::_numObjectives = -1`[protected]`

int IG::Num::AnalysisBase::_numConstraints = -1`[protected]`

int IG::Num::AnalysisBase::_numEqualityConstraints = -1`[protected]`

## Property Documentation

object IG::Num::AnalysisBase::Lock`[get]`

Implements IG::Lib::ILockable.

Reimplemented in IG::Num::OptFileAnalysisClient.

virtual int IG::Num::AnalysisBase::NumParameters`[get, set]`

Number of parameters.

Implements IG::Num::IAnalysis.

virtual int IG::Num::AnalysisBase::NumObjectives`[get, set]`

Number of objective functions (normally 1 for this type, but can be 0).

Implements IG::Num::IAnalysis.

virtual int IG::Num::AnalysisBase::NumConstraints`[get, set]`

Number of constraints.

Implements IG::Num::IAnalysis.

virtual int IG::Num::AnalysisBase::NumEqualityConstraints`[get, set]`

Number of equality constraints.

Implements IG::Num::IAnalysis.

The documentation for this class was generated from the following file:

- Analysis.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events